﻿.custom-template-content {
  height: 460px;
  width: 100%;
  position: absolute;
  top: 450px;
  z-index: 1000;
  left: 5%;
}

.agent-docker {
  width: 90%;
  background-color: white;
  border-radius: 20px;
  /* height: 460px; */
  display: flex;
  justify-content: center;
  padding-top: 50px;
  /* padding-bottom: 80px; */
}

.search_title {
  font-size: 36px;
  font-weight: 700;
  /* margin-top: 40px; */
  /* padding-bottom: 32px; */
  text-align: center;
}

.search-form {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 40px;
  width: 100%;
}

.form-docker {
  width: 100%;
  display: flex;
  justify-content: center;
}

.search-form input[type="text"] {
  padding: 10px;
  /* width: 300px;  */
  width: 40%;
  border-radius: 20px;
  border: 1px solid #ddd;
}

.search-form input[type="text"]:hover {
  border: 1px solid rgb(82, 192, 24);
}

.search-form button {
  /* padding: 10px 20px;  */
  margin-left: 10px;
  background-color: #00b831 !important;
  color: white !important;
  border: none;
  cursor: pointer;
  border-radius: 20px;
}

.search-form button:hover {
  background-color: #00c735 !important;
}

.result-message {
  text-align: center;
  margin-top: 20px;
}

.search_tips {
  display: flex;
  margin-top: 20px;
  /* align-items: center; */
  justify-content: center;
  min-height: 180px;
  margin-bottom: 20px;
}

table {
  border-collapse: collapse;
  width: 100%;
  margin: 20px auto;
}

table,
td,
th {
  border: 1px solid #ddd;
  padding: 8px;
}

th {
  background-color: #f6f8fd;
  text-align: center;
  font-weight: bold;
}

td {
  text-align: center;
}

.result-table {
  margin-top: 20px;
}

@media screen and (min-width: 0) and (max-width: 770px) {
  .agent-docker {
    padding-top: 25px;
  }

  .search-form {
    margin-top: 25px;
  }

  .search_title {
    font-size: 26px;
  }

  .search_tips {
    min-height: 100px;
    max-height: 180px;
    overflow-y: auto;
  }

  .search-form input[type="text"] {
    width: 55%;
  }
}
